Bug 706736 - Put modules and themes directories under /etc/drupal7/all/
Summary: Put modules and themes directories under /etc/drupal7/all/
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal7
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-22 15:37 UTC by Paul W. Frields
Modified: 2011-07-18 18:34 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-16 07:25:44 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2011-05-22 15:37:10 UTC
Currently, the drupal7 package installs extra sitewide modules and themes directories under /etc/drupal7. However, these locations aren't used at all. The correct placement appears to be under /etc/drupal7/all/ (corresponding to the sites folder) where they are picked up for use correctly.

Comment 1 Gwyn Ciesla 2011-06-28 13:34:05 UTC
I only see a README.txt in /etc/drupal7/all/modules/, and nothing in /etc/drupal7/modules/.  Same with themes.  What isn't being picked up?

Comment 2 Paul W. Frields 2011-06-28 21:17:55 UTC
Hi Jon, thanks for the reply.  It's not really a matter of things not being picked up, but to a new Drupal user/admin, the /etc/drupal7/modules folder would seem to be the place to put modules.  However, Drupal doesn't actually look for modules in that folder.  It does look in /etc/drupal7/all/modules though -- so I'm recommending that you not package up the unused directories /etc/drupal7/{modules,themes}.  Sorry that was unclear.

Comment 3 Gwyn Ciesla 2011-06-30 12:09:44 UTC
Gotcha.  I'll drop them from drupal7 when I push the fix 717874 today, and drupal6 shortly thereafter.

Comment 4 Fedora Update System 2011-06-30 13:03:13 UTC
drupal7-7.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-7.4-1.el6

Comment 5 Fedora Update System 2011-06-30 13:03:27 UTC
drupal7-7.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal7-7.4-1.fc14

Comment 6 Fedora Update System 2011-06-30 13:03:40 UTC
drupal7-7.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-7.4-1.fc15

Comment 7 Fedora Update System 2011-06-30 13:03:52 UTC
drupal7-7.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-7.4-1.el5

Comment 8 Fedora Update System 2011-06-30 17:52:10 UTC
Package drupal7-7.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing drupal7-7.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/drupal7-7.4-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-07-16 07:25:34 UTC
drupal7-7.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-07-16 07:29:52 UTC
drupal7-7.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-07-18 18:32:33 UTC
drupal7-7.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-07-18 18:34:31 UTC
drupal7-7.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.